import dynamix_sdk.base as _base


class CloudapiFlipgroupEditResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiFlipgroupEditProtocol(_base.BasePostAPIFunctionProtocol):
    def edit(
        self,
        *,
        flip_group_id: int,
        name: str | None = None,
        description: str | None = None,
    ) -> CloudapiFlipgroupEditResultBool:
        ...
